# Generated by Django 3.0.3 on 2020-02-21 15:02

from django.db import migrations
from core.models import Component


def set_develop_by_to_unknown_for_components_with_status_gewenst(apps, schema_editor):
    # pylint: disable=unused-argument
    for component in Component.objects.all():
        if not component.is_gewenst:
            continue

        if component.developed_by is not None:
            continue

        component.developed_by = Component.DevelopBy.UNKNOWN
        component.save()


class Migration(migrations.Migration):
    dependencies = [
        ('core', '0013_expected_year_integer'),
    ]

    operations = [
        migrations.RunPython(set_develop_by_to_unknown_for_components_with_status_gewenst)
    ]
